import { createContext, useContext, useEffect, useState } from "react";
import { Constants } from "../utils";

// userId, username is stored in appContext
const preview = {
  email: "",
  sessions: [],
  apiKeys: [],
};

const UserProfileContext = createContext(preview);

export const useUserProfileContext = () => useContext(UserProfileContext);

export function UserProfileProvider({ children }) {
  const [email, setEmail] = useState("");
  const [sessions, setSessions] = useState([]);
  const [apiKeys, setApiKeys] = useState([]);

  return (
    <UserProfileContext.Provider
      value={{
        email,
        setEmail,
        sessions,
        setSessions,
        apiKeys,
        setApiKeys,
      }}
    >
      {children}
    </UserProfileContext.Provider>
  );
}
